use Test::More tests => 3;
BEGIN { use_ok('MST::Raytrace', 'get_focus') };

my ( $x, $y, $z );

# bad file
eval {
      get_focus( 'non_existent_file' );
     
};
ok( $@ && $@ =~ /unable to open/, "non existent file" );

# existant file
( $x, $y, $z ) = get_focus( 'data/focus.lis' );
ok(    $x ==  1.385876110279E-02
    && $y == -5.653831012838E-04
    && $z ==  10274.98730655, "focus" );
