#============================================================================
# prog_help_cc_base.mk

# the caller must set POD_SRC to the name of the pod source file
# e.g.:

#  POD_SRC = $(top_srcdir)/docs/$(PACKAGE_NAME).pod 
#  POD_SRC = $(srcdir)/bin.pod 

help.cc : $(POD_SRC)
	pod2usage -verbose 1 $(POD_SRC) | text2usage -name help -pfx help -csfx .cc -inc

MAINTAINERCLEANFILES	+= help.cc help.h
EXTRA_DIST		+= help.cc help.h
BUILT_SOURCES		+= help.cc
