# bpipe fields to create. only list fields which are structures,
# although it's not an error to list atomic types.
# syntax: bpipe <bp_name> <bp_type> [<array extent>]


# mapping to bpipe. 
# syntax: map <name> <bp_name> [<bp_type>]
# don't specify the type if it's an element in a structure

bpipe direction DVector3
map   rt_cosx direction.x
map   rt_cosy direction.y
map   rt_cosz direction.z

bpipe position DVector3
map   rt_x position.x
map   rt_y position.y
map   rt_z position.z

bpipe surface_norm DVector3
map   rt_normx surface_norm.x
map   rt_normy surface_norm.y
map   rt_normz surface_norm.z

map rt_wght weight double
map rt_kev energy double
map rt_id id uint
map rt_time time double
map rt_graze graze_angle double
map rt_srfms surf_missed uint
