#include <stdio.h>
#include <stddef.h>
#include <libgen.h>

#include <tracefct/tracefct.h>

#include "main.h"
#include "config.h"
#include "process.h"
#include "usage.h"

int
main(int argc, char *argv[])
{
  Global global;
  char *prog = basename(argv[0]);

  tf_init(prog, 0, 0);

  gparam(argc, argv, &global);
  
  if ( global.help )
    usage();

  else if ( global.version )
    printf( "%s %s\n", prog, VERSION );

  else
    process(&global);

  return EXIT_SUCCESS;
}
