#include <stdlib.h>
#include <stdio.h>

#include <fullray/fullray.h>

int main( void )
{
  int i;
  fullray fr;

  for ( i = 0 ; i < 3 ; i++ )
  {
    fr.pos.r[i] = i+1;
    fr.pos.v[i] = i+2;
    fr.handy[i] = i;
    fr.norm[i]  = i;
  }

  for ( i = 0 ; i < MAX_GRAZE ; i++ )
    fr.g_ang[i] = i;

  for ( i = 0 ; i < 2 ; i++ )
  {
    fr.c2[i].r = i+1;
    fr.c2[i].i = -fr.c2[i].r;
    fr.s2[i].r = i+2;
    fr.s2[i].i = -fr.s2[i].r;
  }

  fr.energy = 12345;
  fr.path   = 1.2345;
  fr.id     = 99;
  fr.wt     = 54321;

  fwrite(&fr, 1, sizeof(fr), stdout);

  return EXIT_SUCCESS;
}
