/* C source for D1MACH */
#include <stdlib.h>
#include <stdio.h>
#include <float.h>
#include <math.h>

#include <config.h>

double 
F77_FUNC(d1mach,D1MACH)(int *i)
{
  switch (*i)
  {
    case 1:
      return DBL_MIN;
    case 2:
      return DBL_MAX;
    case 3:
      return DBL_EPSILON / FLT_RADIX;
    case 4:
      return DBL_EPSILON;
    case 5:
      return log10(FLT_RADIX);
  }

  fprintf(stderr, "invalid argument: d1mach(%d)\n", *i);
  exit(1);
  return 0;			/* for compilers that complain of missing return values */
}
