#ifndef SAMPLEBPIPEOUTPUT_H
#define SAMPLEBPIPEOUTPUT_H

// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of mergerays
//
// mergerays is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// mergerays is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the 
//       Free Software Foundation, Inc. 
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#include "BpipeOutput.h"

class SampleBpipeOutput : public BpipeOutput {

public:

  SampleBpipeOutput( ) : BpipeOutput( ) { }

  SampleBpipeOutput( BpipeInput* in, ParFile& parfile, string& xfer, int& status,
		     ostream& os );

  int write_dpkts( ostream& os );

private:

  int seed_block( ParFile& pf, ostream& os );

};

#endif
