/* --8<--8<--8<--8<--
 *
 * Copyright (C) 2006 Smithsonian Astrophysical Observatory
 *
 * This file is part of osac2xrcf
 *
 * osac2xrcf is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * osac2xrcf is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the 
 *       Free Software Foundation, Inc. 
 *       51 Franklin Street, Fifth Floor
 *       Boston, MA  02110-1301, USA
 *
 * -->8-->8-->8-->8-- */

#include <stdio.h>

#include <libgen.h>

#include <tracefct/tracefct.h>


#include "main.h"

#include "config.h"

#include "common.h"

int
main(int argc, char *argv[])
{
  char *prog = basename( argv[0] );

  tf_init(prog, 0, 0);

  gparam(argc, argv);

  if (c.version)
    printf( "%s " VERSION "\n", prog);

  else if ( c.help )
    usage( );

  else
    process();

  return EXIT_SUCCESS;
}
