#include <cstdlib>
#include <iostream>
#include <rdbxx/RDB.h>

using namespace std;

// Using group columns, find the min and max values as well as the
// number of elements in a group.
int main( int argc, char* argv[] ) {

  try {
    // Set up input and output files...
    RDB irdb, ordb;
    bool first = true;
    
    while ( cin >> irdb ) {
      if ( first ) {
	for ( int idx = 0; idx < irdb.nComments( ); idx++ )
	  ordb.setComment( irdb.getComment( idx ) );
	for ( int idx = 0; idx < irdb.nColumns( ); idx++ )
	  ordb.setColumn( irdb.getColumn( idx ) );

	first = false;

      }

      cout << ordb;

    }

  } catch ( RDBErr& re ) {
    cerr << "RDBErr:" << endl << re << endl;
    return EXIT_FAILURE;
    
  } catch ( Exception& E ) {
    cerr << "Exception:" << endl << E << endl;
    return EXIT_FAILURE;

  } catch ( exception& e ) {
    cerr << "exception:" << endl << e.what( ) << endl;
    return EXIT_FAILURE;
    
  } catch ( ... ) {
    cerr << "Caught something unexpected..." << endl;
    return EXIT_FAILURE;

  }

  return EXIT_SUCCESS;
}
