*+
*KWIC inclin.f
*
*$Id: inclin.f,v 1.2 2004/03/17 21:23:36 dtn Exp $
*
*Revisions:
*   93-Nov-04[T. Gaetz]
*      . redefine /QPRELQ/ using character variables; move to qprelq.h
*      . change to IMPLICIT NONE
*-

      SUBROUTINE INCLIN (N)  !*** SLASHES TAKEN OUT
C   /****************************************
C    *
C    *    PERKIN-ELMER CORPORATE COMPUTING
C    *      SOFTWARE ENGINEERING SECTION
C    *
C    *    INCLIN FORTRAN
C    *    WRITTEN BY H. JACKSON  M/S 180  X (203) 762-4395
C    *            ON 05/21/80
C    *
C    *    UPDATE:   06/06/80
C    *    TIME:     14:45:10
C    *
C    ******************************************/
C
C     TO MAINTAIN THE PRINTER PAGE LINE COUNT AND TO PRINT THE
C     'STANDARD' PAGE HEADER BLOCK WHENEVER IT EXCEEDS THE MAXIMUM
C     PAGE LINE COUNT.
C
C INPUT ARGUMENT:
C     N - I*4 - NO. OF LINES REQUIRED IN SUBSEQUENT PRINTING BY
C       THE CALLER.
C INPUT VIA LABELED COMMON /QPRELQ/:
C     NQ - INTEGER - MAX. NO. OF LINES PERMITTED ON A PAGE.
C
C INPUT AND OUTPUT OF SUBROUTINE:
C     BLOCK COMMON /QPRELQ/ VARIABLES:
C     LQ - INTEGER - PRINTER PAGE LINE COUNT WHICH IS INCREMENTED BY N.
C
C OUTPUT VIA CALL PRHDR:
C     PAGE HEADER BLOCK WHENEVER LQ EXCEEDS NQ.
C
      
      !*** ALL REAL*4 VARIABLES HAVE BEEN CHANGED TO DOUBLE PRECISION
      IMPLICIT NONE

      INTEGER N

      include 'saosacLib/qprelq.h'

      LQ=LQ+N
      IF(LQ.GT.NQ) GO TO 1
      GO TO 999

    1 CALL PRHDR
      LQ=LQ+N

  999 RETURN
      END
