*+
*KWIC vstor.f
*
*$Id: vstor.f,v 1.2 2004/03/17 21:23:44 dtn Exp $
*
*Revisions:
*   95-Oct-10[T. Gaetz]
*      . eliminate output to unit 6
*   93-Nov-08[T. Gaetz]
*      . /XCOMP/, /YCOMP/, /ZCOMP/:      add save stmt; move to include file
*      . switch to implicit none
*-

      SUBROUTINE VSTOR (I, X, Y, Z)
C   /****************************************
C    *
C    *    PERKIN-ELMER CORPORATE COMPUTING
C    *      SOFTWARE ENGINEERING SECTION
C    *
C    *    VSTOR FORTRAN
C    *    WRITTEN BY H. JACKSON  M/S 180  X (203) 762-4395
C    *            ON 05/23/80
C    *
C    *    UPDATE:   06/09/80
C    *    TIME:     13:20:13
C    *
C    ******************************************/
C
C  PURPOSE : STORE A VECTOR
C
C  INPUT ARGUMENTS:
C    I    : IV# TO BE STORED
C    X    : R*8 X COMPONENT OF VECTOR TO BE STORED
C    Y    : R*8 Y COMPONENT OF VECTOR TO BE STORED
C    Z    : R*8 Z COMPONENT OF VECTOR TO BE STORED
C
C  OUTPUT VIA /XCOMP/, /YCOMP/, /ZCOMP/:
C    V# I := THE VECTOR (X, Y, Z)
C
C        SUBPROGRAMS CALLED : NONE
C
      IMPLICIT NONE

      include 'saosacLib/xyzcomp.h'   ! xv, yv, zv scratch arrays

      DOUBLE PRECISION X, Y, Z
      INTEGER          I

CBUG   WRITE (8, 2000)
C
      XV (I) = X
      YV (I) = Y
      ZV (I) = Z
CBUG  WRITE (8, 2222)
C2000  FORMAT(' ENTER VSTOR')
C2222  FORMAT(' EXIT VSTOR')
      RETURN
      END
