real pscale = 1.2;

path3 plane_surface = scale3(pscale) * (v+u -- u-v -- -u-v -- v-u -- cycle3);
path3 plane_spec = scale3(pscale) * ( v -- v-n -- -v-n -- -v -- cycle3);
path3 plane_i = scale3(pscale) * ( -i-u -- -i+u -- u -- -u -- cycle3);
path3 plane_r = scale3(pscale) * ( r-u -- r+u -- u -- -u -- cycle3);

face[] faces;

pen border = gray(0.5);
filldraw( faces.push( plane_surface ), plane_surface, gray(0.9), border );
filldraw( faces.push( plane_spec ), plane_spec, gray(0.8), border );
filldraw( faces.push( plane_i ), plane_i, gray(0.85), border );
filldraw( faces.push( plane_r ), plane_r, gray(0.85), border );

add( faces );
