-- --8<--8<--8<--8<--
--
-- Copyright (C) 2007 Smithsonian Astrophysical Observatory
--
-- This file is part of suplib_lua
--
-- suplib_lua is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or (at
-- your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- -->8-->8-->8-->8--


---------------------------------------------------------------------
-- splitpath - splits a path into directory and filename portions
function splitpath( path )

    local istart, istop, dirname, basename = strfind( path, "(.*)/(.*)" )

    -- if find fails, no dirname just basename
    return dirname, basename or path
end 
