#============================================================================
# create_pkgconfig_pc.mk

# create the pkg-config config file.

# Preloaded Snippets: create_am_macros.mk

# Any files make built
CLEANFILES		+= $(PACKAGE_NAME).pc

# Any files configure built
DISTCLEANFILES		+= $(PACKAGE_NAME).pc.in


# this works in hand with the AC_CONFIG_PKGCONFIG_IN autoconf macro, which
# creates the  .pc.in file. this snippet performs the variable interpolation
# into that file. 
# it is done in two stages. the first picks up configure variables which may
# be altered on the make command line, the next picks up
# the package specific config variables that it's too hard to program
# do_subst to recognize
$(PACKAGE_NAME).pc: Makefile $(PACKAGE_NAME).pc.in 
	$(do_subst) $(PACKAGE_NAME).pc.in > $@.tmp.in
	./config.status --file=$@.tmp
	rm -f $@.tmp.in
	mv $@.tmp $@
