deg2rad = 3.14159265358979/180.0
strut_width = 2
r_i = 10
r_o = 12

function do_struts( )
  local theta = 0
  local dtheta = 30

  begin_subassembly( )

  while theta < 180 do
    strut( strut_width, 1, 0 )
    rotate_z ( dtheta * deg2rad )
    theta = theta + dtheta
  end

  end_subassembly( )

end

begin_assembly( "pass" )
  annulus( r_i, r_o, 0, 0 )
  do_struts( )
end_assembly( )
