#include <bpipe/bpipe.h>
#include <tracefct/tracefct.h>
#include <tracefct/exiterrvals.h>

#include "dpktf_data.h"

/* simple routine to get the data pointer for a named data packet field */
char *
dpktf_data( BPipe *bpipe, char *name, void *data )
{
  DpktField *field = bpipe_dpktf( bpipe, name );

  if ( field == NULL )
    tf_exit( ExitERR_misc, "field `%s' doesn't exist in input data stream",
	     name);

  return bpipe_dpktf_data( field, data );
}
