/* C source for R1MACH */
#include <stdlib.h>
#include <stdio.h>
#include <float.h>
#include <math.h>

#include <config.h>


/* g77 promotes float functions to double unless the -fno-f2c switch
   is used.  since that's hardly ever the case, a single precision
   fortran function wrapper is used to call this routine as an
   explicit double precision function (so there's no doubt), and this
   routine is modified to return a double precision value.  this way
   external fortran code always thinks it's calling a single precision
   function.
*/

#ifdef F77_IS_G77

double
F77_FUNC(r1machc,R1MACHC)(int *i)

#else

float 
F77_FUNC(r1mach,R1MACH)(int *i)

#endif   

{
  switch (*i)
  {
    case 1:
      return FLT_MIN;
    case 2:
      return FLT_MAX;
    case 3:
      return FLT_EPSILON / FLT_RADIX;
    case 4:
      return FLT_EPSILON;
    case 5:
      return log10(FLT_RADIX);
  }

  fprintf(stderr, "invalid argument: r1mach(%d)\n", *i);
  exit(1);
  return 0;			/* for compilers that complain of missing return values */
}
