#include <stdlib.h>
#include <testlib/testlib.h>

#include <paramxx/ParFile.h>

int testPar( int argc, char** argv, bool printIt ) {

  try {

    ParFile parFile( argc, argv, "/data/macabretmp/dj/paramxx/tests/tst.par" );
    
    if ( printIt )
      cout << parFile << endl;

  } catch( ParFileException& pfe ) {
    cerr << pfe;
    return EXIT_FAILURE;
    exit( 1 );

  } catch ( Exception & e ) {

    cerr << e;
    return EXIT_FAILURE;

  } catch( ... ) {

    cerr << "testParFilename( ) : Unknown exception thrown\n";
    return EXIT_FAILURE;

  }

  return EXIT_SUCCESS;

}

