
***** file: time.f          <> $Revision: 1.1 $

*+**********************************************************************
      SUBROUTINE saotime ( chtime )
************************************************************************
*
*kwic time       --- time in nice format
*
*  arguments:
*     chtime -- ca, o  -- time in nice format
*
*  history:
*     93-Dec-03[tjg]: extracted from tglib; slight revisions
*     92-Sep-21[tjg]: original
*-
      implicit none

*---  passed variables...
      CHARACTER*(*) chtime

*USES ftime                       ! os routine fdate(3F)

*---  local variables...
      CHARACTER*24 time_date

*CODE time -------------------------------------------------------------

      call fdate( time_date )

*---  returns time, time info in format as described under ctime(3):
*
*     Sun Sep 16 01:03:52 1973
*     123456789^123456789^1234

      chtime = time_date(12:19)

      END ! time -------------------------------------------------------
